/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SM_table.sql **/
 EXEC p_AlterColumn 'T_SM_DELIVERNOTICEENTRY_F', 'FPRICE', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_DELIVERNOTICEENTRY_F', 'FPRICEANDTAX', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_DELIVERNOTICEENTRY_F', 'FCURTAXAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_DELIVERNOTICEENTRY_F', 'FTAXAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_DELIVERNOTICEENTRY_F', 'FDISCOUNTAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_DELIVERNOTICEENTRY_F', 'FAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_DELIVERNOTICEENTRY_F', 'FAMOUNTANDTAX', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_DELIVERNOTICEENTRY_F', 'FCURAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_DELIVERNOTICEENTRY_F', 'FCURAMOUNTANDTAX', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_SALORDERENTRY_F', 'FPRICE', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_SALORDERENTRY_F', 'FPRICEANDTAX', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_SALORDERENTRY_F', 'FCURTAXAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_SALORDERENTRY_F', 'FTAXAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_SALORDERENTRY_F', 'FDISCOUNTAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_SALORDERENTRY_F', 'FAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_SALORDERENTRY_F', 'FCURAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_SALORDERENTRY_F', 'FAMOUNTANDTAX', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_SALORDERENTRY_F', 'FCURAMOUNTANDTAX', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_SALORDERENTRY_F', 'FSETTLEAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_XSALORDERENTRY_F', 'FPRICE', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_XSALORDERENTRY_F', 'FPRICEANDTAX', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_XSALORDERENTRY_F', 'FCURTAXAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_XSALORDERENTRY_F', 'FTAXAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_XSALORDERENTRY_F', 'FDISCOUNTAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_XSALORDERENTRY_F', 'FAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_XSALORDERENTRY_F', 'FCURAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_XSALORDERENTRY_F', 'FAMOUNTANDTAX', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_XSALORDERENTRY_F', 'FCURAMOUNTANDTAX', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_XSALORDERENTRY_F', 'FSETTLEAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_SALORDERRPENTRY', 'FRECADVANCEAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_SALORDERRPENTRY', 'FRECAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_SALORDERRPENTRY', 'FREMAINAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_XSALORDERRPENTRY', 'FRECADVANCEAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_XSALORDERRPENTRY', 'FRECAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_XSALORDERRPENTRY', 'FREMAINAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_RETURNAPPLYENTRY_F', 'FPRICE', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_RETURNAPPLYENTRY_F', 'FPRICEANDTAX', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_RETURNAPPLYENTRY_F', 'FAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_RETURNAPPLYENTRY_F', 'FTAXAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_RETURNAPPLYENTRY_F', 'FDISCOUNTAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_RETURNAPPLYENTRY_F', 'FAMOUNTANDTAX', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_RETURNAPPLYENTRY_F', 'FCURAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_RETURNAPPLYENTRY_F', 'FCURAMOUNTANDTAX', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_RETURNAPPLYENTRY_F', 'FCURTAXAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_SALORDER_F', 'FTOTALTAXAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_SALORDER_F', 'FTOTALAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_SALORDER_F', 'FTOTALALLAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_SALORDER_F', 'FCURTOTALAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_SALORDER_F', 'FCURTOTALALLAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_SALORDER_F', 'FMARGIN', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_SALORDER_F', 'FASSOCIATEMARGIN', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_SALORDER_F', 'FASSREFUNDMARGIN', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_XSALORDER_F', 'FTOTALTAXAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_XSALORDER_F', 'FTOTALAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_XSALORDER_F', 'FTOTALALLAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_XSALORDER_F', 'FCURTOTALAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_XSALORDER_F', 'FCURTOTALALLAMOUNT', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_XSALORDER_F', 'FMARGIN', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_XSALORDER_F', 'FASSOCIATEMARGIN', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_SM_XSALORDER_F', 'FASSREFUNDMARGIN', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SM_table.sql **/
